# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_paint
		IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		Sketchup::require File.join(NAME,(NAME + "_code"))
		if !self.const_defined?("Dir_s4u_name")
			S4U.instance_variable_set(:@s4u_menu,UI.menu("Plugins").add_submenu("Suforyou")) if !S4U.instance_variable_defined?(:@s4u_menu)
			menu=S4U.instance_variable_get :@s4u_menu
			submenu=menu.add_submenu(TOOL)
			@toolbar = UI::Toolbar.new("s4u-"+TOOL)
			names=[
					[Strings.GetString("Paint Face"),NAME,Strings.GetString("Paint Selected Face or Click Face")+'.'],
					[Strings.GetString("Paint Object"),NAME+"_object",Strings.GetString("Paint Selected Object or Click Object")+'.'],
					[Strings.GetString("Delete Material"),NAME+"_delete",Strings.GetString("Delete Material of Selected Face or Click Face")+'.'],
					[Strings.GetString("Replace Material"),NAME+"_replace",Strings.GetString("Replace Material of Selected Face")+'.'],
					[Strings.GetString("Position Material"),NAME+"_align",Strings.GetString("Align Move Rotate Material")+'.'],
					[Strings.GetString("Reverse Face"),NAME+"_reverse",Strings.GetString("Reverse Selected Face")+'.'],
					[Strings.GetString("Get Area Material"),NAME,Strings.GetString("Get Area Material")+'.'],
					[Strings.GetString("Last Paint Tool"),NAME,Strings.GetString("Last Paint Tool")+'.']
			]
			if IS_OSX
				names.each{|n| n[1]+=".pdf"}
			else
				names.each{|n| n[1]+=".svg"}
			end
			items=[]
			(0..(names.length-1)).each{|i|
				cmd=UI::Command.new(names[i][0]){ self.main(i) }
				cmd.large_icon = names[i][1]
				cmd.small_icon = names[i][1]
				cmd.status_bar_text = names[i][2]
				cmd.tooltip= names[i][0]
				cmd.menu_text = names[i][0]
				@toolbar=@toolbar.add_item cmd if i<6
				items<<submenu.add_item(cmd)
			}
			@toolbar.show if @toolbar.get_last_state.abs == 1
            Dir_s4u_name = File.join(File.dirname(@ext.extension_path),NAME)
		end
	end
end